import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

public class Tab extends JPanel{
	Tab(){
		setLayout(new BorderLayout());
		JTabbedPane pane = new JTabbedPane();
		pane.addTab("", new LengthPanel());
		pane.addTab("ʐ", new SquarePanel());
		pane.addTab("̐", new VolumePanel());
		pane.addTab("", new MassPanel());
		pane.addTab("px", new AnglePanel());
		pane.addTab("d", new ElectCurrentPanel());
		pane.addTab("R", new ResistPanel());
		pane.addTab("d", new ElectTensionPanel());
		pane.addTab("d", new ElectricFieldPanel());
		pane.addTab("", new MagneticFieldPanel());
		pane.addTab("", new MagneticFluxPanel());
		pane.addTab("x", new MagneticFluxDensityPanel());
		pane.addTab("M", new HeatPanel());
		add(pane, BorderLayout.CENTER);
	}
	
	public static void main(String[] args){
		JFrame f = new JFrame("PʊZ@");
		Tab t = new Tab();
		f.getContentPane().add(t, BorderLayout.CENTER);
		f.setSize(900,400);
		f.setVisible(true);
		f.addWindowListener(new WindowAdapter(){
			public void windowClosing(WindowEvent e){System.exit(0);}
		});
	}
}