import java.awt.*;
import javax.swing.*;


public class HeatPanel extends JPanel{
	JTextField[] unitText = new JTextField[21];
	HeatListener listener;
	JButton clearB;
	
	
	HeatPanel(){
		listener = new HeatListener(this);
		
		clearB = new JButton("NA");
		clearB.addActionListener(listener);
		
		//CAEg
		setLayout(new GridLayout(8, 3, 0, 10));
		
		//P
		String[] str1 = {"KWh", "ev(dq{g)", "cal th(MȊwJ[)",
						"J(WsENm)", "ftElbf", "cal IT(ۏCJ[)",
						"kJ", "Ryberg", "cal 15(15J[)",
						"kgfm", "Hartree", "Cal(HiLJ[)",
						"LEatm", "g(TNTΖ򊷎Z)", "uc2(atomic unit-sq.lightspeed)",
						"erg", "cal", "BTU(pM)",
						"Q", "kcal", "BTU(IST before 1956)"};
		//R|l[g̍쐬
		for(int i = 0; i < unitText.length; i++){
			unitText[i] = new JTextField(10);
		}
		
		for(int i = 0; i < unitText.length; i++){
			unitText[i].getDocument().putProperty(Integer.toString(i), unitText[i]);
			unitText[i].getDocument().addDocumentListener(listener);
			unitText[i].addFocusListener(listener);
		}
		
		//eLXgtB[hƃx̒ǉ
		addUnit(unitText, str1);
		
		add(clearB);
	}
	
	public static void main(String[] args){
		JFrame f = new JFrame();
		LengthPanel leng = new LengthPanel();
		Container c = f.getContentPane();
		c.add(leng, BorderLayout.CENTER);
		f.pack();
		f.setVisible(true);
	}
	
	void addUnit(JTextField[] textF, String[] str){
		//eLXgtB[hƃx̒ǉ
		for(int i = 0; i < textF.length; i++){
			add(textF[i]);
			add(new JLabel(str[i]));
		}
	}
}