import java.awt.*;
import javax.swing.*;


public class SquarePanel extends JPanel{
	JTextField[] unitText = new JTextField[24];
	SquareListener listener;
	JButton clearB;
	
	
	SquarePanel(){
		listener = new SquareListener(this);
		
		clearB = new JButton("NA");
		clearB.addActionListener(listener);
		
		//CAEg
		setLayout(new GridLayout(9, 3, 0, 10));
		
		//P
		String[] str1 = {"km^2", "", "section",
						"m^2", "inch^2(C`)", "township",
						"cm^2", "mile^2(}C)", "A4()",
						"a(A[)", "ft^2(tB[g)", "()",
						"ha(wN^[)", "ac(G[J[)", "(]ˊ)",
						"", "yd^2([h)", "(cn)",
						"", "barn", "bq",
						"", "circular mil", "h["};
		//R|l[g̍쐬
		for(int i = 0; i < unitText.length; i++){
			unitText[i] = new JTextField(10);
		}
		
		for(int i = 0; i < unitText.length; i++){
			unitText[i].getDocument().putProperty(Integer.toString(i), unitText[i]);
			unitText[i].getDocument().addDocumentListener(listener);
			unitText[i].addFocusListener(listener);
		}
		
		//eLXgtB[hƃx̒ǉ
		addUnit(unitText, str1);
		
		add(clearB);
	}
	
	public static void main(String[] args){
		JFrame f = new JFrame();
		LengthPanel leng = new LengthPanel();
		Container c = f.getContentPane();
		c.add(leng, BorderLayout.CENTER);
		f.pack();
		f.setVisible(true);
	}
	
	void addUnit(JTextField[] textF, String[] str){
		//eLXgtB[hƃx̒ǉ
		for(int i = 0; i < textF.length; i++){
			add(textF[i]);
			add(new JLabel(str[i]));
		}
	}
}